﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Uploading Functions</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Uploading Functions</h1>
        <p>The Upload&#160;Function&#160;option enables you to upload&#160;one or more functions in rulesets into the&#160;SOD&#160;module from the CSV file. While uploading functions, you can create rulesets.</p>
        <p>To upload&#160;functions, download the Function import_sample file to your server, modify its details and upload it to IGA.&#160;The sample file includes different parameters tospecify the details of the function:</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 19.1699%;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 80.6732%;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Column</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">FUNCTION</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the name of the function that exists in IGA.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">DESCRIPTION</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the description of the function.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">STATUS</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the status as active or inactive.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">RULESET</p>
                        </td>
                        <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Specify the name of the ruleset to be associated with the function. For example, SAP Ruleset.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p>To upload functions, perform the following steps:</p>
        <ol>
            <li>
                <p>Click <strong>SOD &gt; Ruleset &gt; Functions &gt; Actions &gt; Upload Function</strong>.</p>
            </li>
            <li>
                <p>In the <b>Select File To Upload Function</b>&#160;pop-up window that displays, specify the following parameters.</p>
            </li>
        </ol>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col style="width: 0px;" class="TableStyle-Default-Table-Column-Column1" />
            <col style="width: 0px;" class="TableStyle-Default-Table-Column-Column1" />
            <thead class="tableFloatingHeader">
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th style="text-align: left;" scope="col" class="TableStyle-Default-Table-HeadE-Column1-Header1">
                        <div class="tablesorter-header-inner">Parameter</div>
                    </th>
                    <th style="text-align: left;" scope="col" class="TableStyle-Default-Table-HeadD-Column1-Header1">
                        <div class="tablesorter-header-inner">Description</div>
                    </th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Data File</p>
                    </td>
                    <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p>Upload the CSV file with function details using the&#160;Selectbutton.After file upload, the file name is displayed.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Create Ruleset</p>
                    </td>
                    <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p colspan="1">Specify whether you want to create a ruleset if the value mentioned in the file does not exist.
The options are:
</p>
                        <ul>
                            <li>
                                <p colspan="1">Yes&#160;-&#160;Creates a ruleset.
</p>
                            </li>
                            <li>
                                <p colspan="1">No - Does not&#160;create a ruleset</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">First row as heading</p>
                    </td>
                    <td style="text-align: left;" colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p colspan="1">Specify whether you want to&#160;use the&#160;first row in the CSV file as the heading.
The options are:</p>
                        <ul>
                            <li>
                                <p colspan="1">
Yes&#160;- Uses the&#160;first row as the heading.&#160;
</p>
                            </li>
                            <li>
                                <p colspan="1">No - Does not use the first row as the heading</p>
                            </li>
                        </ul>
                    </td>
                </tr>
            </tbody>
        </table>
        <ol MadCap:continue="true">
            <li>
                <p>Click <strong>Upload and Preview</strong>.</p>
            </li>
            <li>
                <p>In&#160;the&#160;<b>Upload Function Preview</b> page that is displayed, click <strong>Import Now</strong> to start the import process.&#160;If you have selected&#160;the&#160;<strong>First row as heading</strong>&#160;option&#160;as No, then manually map the function file fields to the database table fields, and then click Import Now.</p>
                <p>If the upload is successful, the uploaded record details are populated in the&#160;Function upload Summary page under&#160;the following rows: Functions Created&#160;and&#160;Rulesets Created.</p>
            </li>
            <li>
                <p>Go to <strong>SOD&#160;&gt; Ruleset &gt;&#160;Functions</strong>&#160;to view the function details you uploaded using the CSV file.</p>
            </li>
        </ol>
    </body>
</html>